Alguem sabe como faz pra unity3D (engine) funcionar?

ubuntu
#1

Então galera, eu mexo com games, mais especificamente com o áudio deles, porem preciso mexer na unity3D as vezes, vi um video muito bom de um cara onde ele ensinava umas coisas bem úteis, consegui baixar e instalar o unityHUB porem quando mando abrir o unity3D na versão 2018.2.2 por exemplo ele da esse erro aqui:

E quando é a versão 2019.1 ele se quer abre!!! Eu queria poder fazer meus trabalhos pelo linux mesmo mas ta dificil…

#2

Então, quebrei a cabeça um pouco mas consegui, primeiro que tem de ter todos os drivers mesa atualizados! Isso ja é o suficiente pra versão 2018.2.2f, mas para a versão 2019.1 foi mesa, seu openGL tem que estar na ultima versão, e é bom você abrir o inicializador do hub que você baixar pelo terminal, isso vai te mostrar quais pacotes estão faltando na sua maquina pra inicializar ele!